<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

// include "conexao.php";
 $id               = $_GET["id"];
 $idusuario        = $_POST['usuario'];
 $emp              = $_POST['idempreendimento'];
// $nome             = $_POST['nome_imagem'];
// // if(isset($_FILES) && !empty($_FILES)){
// 	// echo "<pre>";
// 	// print_r($_POST);
// 	// echo "</pre>"; die();
	
// // }

//#########################################  Funcoes Grava Log   #############################################

 function nome_empreendimento($id){
                include "conexao.php";
                     $query_igpm = "SELECT descricao_empreendimento FROM `empreendimento_cadastro` where idempreendimento_cadastro = $id";

                     $executa_igpm = mysqli_query ($db, $query_igpm);


                       while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                              $descricao_empreendimento        = $buscar_amigoc['descricao_empreendimento'];
                       }
                       return $descricao_empreendimento;

         } 


function nome_user1($id){
                include "conexao.php";
                     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                     $executa_igpm = mysqli_query ($db, $query_igpm);


                       while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                              $nome_cli        = $buscar_amigoc['nome_cli'];
                       }
                       return $nome_cli;

         } 


        function grava_log($data_log,$usuario_id,$descricao_log){
           include "conexao.php";
          
                $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
                $executa_log = mysqli_query($db, $query_log);
                return 1;
        }



//######################################### " FIM " Funcoes Grava Log   ######################################

    if(isset($_POST["id_anexo"])){

       include "conexao.php";

       $idusuario        = $_POST['usuario'];
       $emp              = $_POST['idempreendimento'];
       $id_anexo = $_POST["id_anexo"];
 

       $query_excluir = "DELETE FROM empreendimento_anexo_tabela WHERE idanexo_empreendimento_tabela = $id_anexo";

       $executa_excluir = mysqli_query($db, $query_excluir);

       date_default_timezone_set('America/Sao_Paulo');              
        $data_log = date('d-m-Y H:i:s');         // data e hr no momento
        $nome_usuario = nome_user1($idusuario); //nome usuario sessao
        $nome_emp     = nome_empreendimento($emp);
        $descricao_log = "Usuário ".$nome_usuario ." excluiu um arquivo no empreendimento , ".$nome_emp;
        grava_log($data_log,$idusuario,$descricao_log);
        // echo "cheguei aqui...;".$descricao_log; die();
  
   }else{


   //Criacao da pasta dinamicamente


    $id_empreendimento = $_GET["id_empreendimento"];

    date_default_timezone_set('America/Sao_Paulo');


    $data_atual = date("YmdHis"); 
    




   $pastaEmpreendimento = "anexo_empreendimentos_tabela/".$id_empreendimento."/";

        	if(!file_exists($pastaEmpreendimento)){
        		mkdir($pastaEmpreendimento);
          }


   $pasta = "anexo_empreendimentos_tabela/".$id_empreendimento."/".$data_atual."/";

          if(!file_exists($pasta)){
            mkdir($pasta);
    }



   $tmp_name = $_FILES["file"]["tmp_name"];

   $filename =  $_FILES["file"]["name"];

   $destination = $pasta . $filename;

   $mover = move_uploaded_file ($tmp_name ,$destination );



   include "conexao.php";
  

   $executa_query = mysqli_query($db, "INSERT INTO empreendimento_anexo_tabela (empreendimentocadastro_id, url_anexo) VALUES('$id_empreendimento' , '$destination')");

   $a = "abc";

        

            echo json_encode($a);

 

//echo json_encode(['id_usuario' => $emp]);

  }

?>